org.springframework.batch.sample.domain.mail.internal

## Class UserMailItemProcessor

- java.lang.Object
- - org.springframework.batch.sample.domain.mail.internal.UserMailItemProcessor

- All Implemented Interfaces:
    ItemProcessor<User,org.springframework.mail.SimpleMailMessage>

      public class UserMailItemProcessor
      extends java.lang.Object
      implements ItemProcessor<User,org.springframework.mail.SimpleMailMessage>

  Since:
    2.1
  Author:
    Dan Garrette, Dave Syer

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UserMailItemProcessor()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.springframework.mail.SimpleMailMessage` | `process(User user)` Process the provided item, returning a potentially modified or new item for continued processing.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UserMailItemProcessor

          public UserMailItemProcessor()

  - ### Method Detail

    - #### process

          public org.springframework.mail.SimpleMailMessage process(User user)
                                                             throws java.lang.Exception

      Description copied from interface: `ItemProcessor`
      Process the provided item, returning a potentially modified or new item for continued processing. If the returned result is null, it is assumed that processing of the item should not continue.
      Specified by:
        `process` in interface `ItemProcessor<User,org.springframework.mail.SimpleMailMessage>`
      Parameters:
        `user` - to be processed
      Returns:
        potentially modified or new item for continued processing, null if processing of the provided item should not continue.
      Throws:
        `java.lang.Exception`
      See Also:
        `ItemProcessor.process(java.lang.Object)`